/* fontSize */
*,
::before,
::after {
  --clamp-root-font-size: 16;
  --clamp-slope: calc((var(--clamp-max) - var(--clamp-min)) / (var(--clamp-viewport-max) - var(--clamp-viewport-min)));
  --clamp-y-axis-intersection: calc(var(--clamp-min) - (var(--clamp-slope) * var(--clamp-viewport-min)));
  --clamp-preffered-value: calc(var(--clamp-y-axis-intersection) * (1rem / var(--clamp-root-font-size)) + (var(--clamp-slope) * 100vi));
  --clamp: clamp(calc(var(--clamp-min) * (1rem / var(--clamp-root-font-size))),
      var(--clamp-preffered-value),
      calc(var(--clamp-max) * (1rem / var(--clamp-root-font-size))));
  font-size: var(--clamp);
}


:root {
  /* color */
  --defcol: #523C3C;
  --defcol-rgb: 82, 60, 60;
  --main: #598C47;
  --main-rgb: 89, 140, 71;
  --gray-50: #F6F6F6;
  /* font */
  --font: YakuHanMP, "Zen Old Mincho", serif;
  --font-def: YakuHanMP, "Noto Sans JP", sans-serif;
  --font-en: "Satisfy", cursive;
  --transition: all .3s ease-in-out;
  --sec-padding: clamp(2.5rem, -1.111rem + 14.81vw, 6rem);
}

html {
  scroll-behavior: smooth;
  scroll-padding-top: 0;
}

@media screen and (min-width: 769px) {
  html {
    scroll-padding-top: 48px;
  }
}

body {
  font-family: var(--font-def);
  color: var(--defcol);
  line-height: 1.8;
  --clamp-viewport-min: 375;
  --clamp-viewport-max: 1200;
  /* font-sizeデフォルト */
  --clamp-min: 13;
  --clamp-max: 16;
  overflow-wrap: anywhere;
  word-break: normal;
  line-break: strict;
}

@media screen and (max-width: 768px) {
  br.pc {
    display: none;
  }
}

@media screen and (min-width: 769px) {
  br.sp {
    display: none;
  }
}


.container {
  max-width: calc(1060px + (24px * 2));
  padding: 0 5vw;
  margin-inline: auto;
}

@media screen and (min-width: 769px) {
  .container {
    padding: 0 24px;
  }
}

img {
  max-width: 100%;
}

/* h2共通 */
.h2-main {
  --clamp-min: 26;
  --clamp-max: 32;
  text-align: center;
  position: relative;
  font-family: var(--font);
  font-weight: 500;
  padding-top: 2vw;
  margin-bottom: 6vw;
}

@media screen and (min-width: 769px) {
  .h2-main {
    padding-top: 24px;
    margin-bottom: 48px;
  }
}

.h2-main span {
  position: relative;
  z-index: 2;
}

.h2-main [lang="en"] {
  --clamp-min: 40;
  --clamp-max: 64;
  position: absolute;
  white-space: nowrap;
  z-index: 0;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  color: var(--main);
  font-weight: normal;
  opacity: 0.2;
  line-height: 1;
  font-family: var(--font-en);
  user-select: none;

}

/* ヘッダー */
.header {
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  z-index: 2;
  border-radius: 8px;
  z-index: 102;
  max-width: 170px;

}

@media (max-width: 768px) {
  .header {
    width: auto;
    max-width: 28vw;
  }
}

.header .logo {
  display: block;
}

/* メインビジュアル */
.mv {
  position: relative;
  padding: 24px 5vw;
  z-index: 101;
}

@media (min-width: 769px) {
  .mv {
    padding: 56px 4vw 24px;

  }
}

.mv-main {
  position: relative;
  margin-inline: auto;
  max-width: 1600px;
}

.mv-main::before,
.mv-main::after {
  content: "";
  position: absolute;

}

.mv-main::before {
  top: -5vw;
  left: -3vw;
  width: 24vw;
  aspect-ratio: 150/198;
  transform: rotate(10deg);
  background: url(../img/mv_leaf1.svg) no-repeat center / cover;
}

@media (min-width: 769px) {
  .mv-main::before {
    top: -2vw;
    left: -2vw;
    width: 150px;
  }
}

.mv-main::after {
  bottom: -8vw;
  right: -2vw;
  width: 20vw;
  aspect-ratio: 196/258;
  transform: rotate(10deg);
  background: url(../img/mv_leaf2.svg) no-repeat center / cover;
}

@media (min-width: 769px) {
  .mv-main::after {
    width: 196px;
    bottom: -2.5vw;
  }
}

.mv img {
  display: block;
  width: 100%;
  height: auto;
  border-radius: 24px;
}

.mv-title {
  position: absolute;
  bottom: 2vw;
  left: -2vw;
  font-weight: normal;
  transform: rotate(-8deg);
  line-height: 1.4;
}

.mv-title .ja {
  --clamp-min: 20;
  --clamp-max: 32;
  display: block;
  font-family: var(--font);
  font-weight: 500;
  text-shadow: 2px 2px 0 rgba(255, 255, 255, 0.8);
}

.mv-title .en {
  --clamp-min: 40;
  --clamp-max: 64;
  display: block;
  font-family: var(--font-en);
  font-weight: 500;
  color: var(--main);
  text-shadow: 4px 4px 0 rgba(255, 255, 255, 0.9);

}

@media screen and (min-width: 769px) {}

.h2-sub {
  display: block;
}


.global-nav {
  display: none;
}

/* PC時グローバルナビ */
@media (min-width: 769px) {
  .global-nav {
    --clamp-min: 14;
    --clamp-max: 16;
    display: block;
    position: sticky;
    top: 0;
    left: 0;
    text-align: center;
    padding: 10px 0;
    font-weight: 500;
    background-color: rgba(255, 255, 255, 0.9);
    z-index: 100;
  }

  .global-nav ul {
    list-style: none;
    position: relative;
    height: 100%;
    display: flex;
    margin: 0;
    padding: 0;
    align-items: center;
    justify-content: center;

  }

  .global-nav ul li {
    height: 100%;
    position: relative;
    padding: 0 10px;
  }

  .global-nav ul li:not(:first-of-type):before {
    content: "";
    position: absolute;
    width: 1px;
    height: 24px;
    background-color: var(--defcol);
    left: 0;
    top: 50%;
    transform: translateY(-50%);
  }

  .global-nav ul li:not(.icon) a {
    --clamp-min: 16;
    --clamp-max: 18;
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    color: var(--defcol);
    font-family: var(--font);
    font-weight: 500;
    transition: var(--transition);
    min-height: 48px;
    border-radius: 8px;
    padding: 0 22px;

  }

  .global-nav ul li a:visited {
    color: var(--defcol);
  }

  .global-nav ul li a:hover {
    background-color: rgba(var(--main-rgb), .15);
  }

  .global-nav ul li.insta:before {
    content: none;
  }

  .global-nav ul li.insta {
    padding-left: 20px;
  }

  .global-nav ul li.insta a {
    transition: all 0.3s ease-in-out;
    display: block;
  }

  .global-nav ul li.insta a:hover {
    background: none;
    opacity: 0.7;
    /* transform: scale(1.1); */
  }

}



/* バナー */
.banner {
  margin-top: 6vw;
}

@media screen and (min-width: 769px) {
  .banner {
    margin-top: 64px;
  }
}

.banner-list {
  display: grid;
  align-items: center;
  justify-content: center;
  gap: 20px;

}

@media (min-width: 769px) {
  .banner-list {
    grid-template-columns: auto auto;

  }
}

.banner-list li {}

.banner-list li a {
  display: block;
  transition: var(--transition);
}

.banner-list li a:hover {
  opacity: 0.6;

}

.banner-list li a img {
  display: block;
}


/* ごあいさつ */
.introduction {
  padding: var(--sec-padding) 0;
  text-align: center;

}

.introduction h2 {
  padding: 0 0 24px;
  font-family: var(--font);
  line-height: 1.6;
  font-weight: 500;

}

@media screen and (min-width: 769px) {
  .introduction h2 {
    padding: 0 24px 24px;
  }
}

.introduction h2 .txt-small {
  --clamp-min: 20;
  --clamp-max: 32;
  letter-spacing: 0.1em;
}

.introduction h2 .txt-main {
  --clamp-min: 29;
  --clamp-max: 44;
  line-height: 1.5;
  /* letter-spacing: 0.1em; */
}

.introduction p {
  --clamp-min: 14;
  --clamp-max: 18;
  line-height: 2.2;
  letter-spacing: 0.02em;
}

.introduction p+p {
  margin-top: 1.2em;
}

/* 写真背景 */
.section-bg {
  aspect-ratio: 390/200;
  background: url(../img/section_bg.png) no-repeat center /cover;
  /* background-attachment: fixed; */

}

@media screen and (min-width: 769px) {
  .section-bg {
    aspect-ratio: 1400/500;
  }
}

.section-bg img {
  display: block;
  width: 100%;
}

/* 当店のこだわり */

.commitment {
  overflow: hidden;
  padding: var(--sec-padding) 0;

}

.commitment-list {
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.commitment-list li {
  position: relative;
  display: flex;
  gap: 4vw;
  align-items: center;
  flex-direction: column;
}

@media screen and (min-width: 769px) {
  .commitment-list li {
    gap: 40px;
    flex-direction: row;
  }
}


.commitment-list li::before {
  content: "";
  position: absolute;
  bottom: -64px;
  left: -5vw;
  width: 45vw;
  aspect-ratio: 343/143;
  transform: rotate(21deg);
  background: url(../img/commitment_leaf1.svg) no-repeat center / cover;
}

@media screen and (min-width: 769px) {
  .commitment-list li::before {
    width: 343px;
    bottom: -32px;
  }
}

.commitment-list li:nth-of-type(2n) {}

@media (min-width: 769px) {
  .commitment-list li:nth-of-type(2n) {
    flex-direction: row-reverse;
  }
}

.commitment-list li:nth-of-type(2n):before {
  background: url(../img/commitment_leaf2.svg) no-repeat center / cover;
  left: auto;
  right: -5vw;
  transform: rotate(-30deg);
}

@media screen and (min-width: 769px) {}

.commitment-list li .text {
  flex: 1;
}

.commitment-list li h3 {
  --clamp-min: 20;
  --clamp-max: 24;
  font-family: var(--font);
  display: flex;
  align-items: center;
  gap: 10px;
  margin-bottom: 16px;
}

.commitment-list li h3:after {
  content: "";
  display: block;
  flex: 1;
  height: 1px;
  background-color: rgba(var(--main-rgb), .4);
}

.commitment-list li .photo {
  /* width: 508px; */

}

@media screen and (min-width: 769px) {
  .commitment-list li .photo {
    max-width: 48%;

  }
}

.commitment-list li .photo img {
  display: block;
  border-radius: 2.5vw;
  width: 70%;
  margin-inline: auto;
}

@media screen and (min-width: 769px) {
  .commitment-list li .photo img {
    border-radius: 16px;
    width: auto;
  }
}


/* スライドショー */
.slideshow {
  /* padding: 24px; */
  text-align: center;
  /* background-color: #f9f9f9; */
}

.splide__slide img {
  height: auto;
  width: 100%;
  display: block;
}

/* メニュー */
.menu {
  padding: var(--sec-padding) 0;
  background-color: #fff;
}

.menu h2 {
  font-family: var(--font);
  color: var(--main);
}

.menu-list {
  display: grid;
  gap: 24px;
}

@media (min-width: 769px) {
  .menu-list {
    grid-template-columns: auto auto auto;
    gap: 40px;
  }
}

.menu-list figure {
  margin-inline: auto;
}

@media screen and (min-width: 769px) {
  .menu-list figure {}
}

.menu-list img {
  display: block;
  margin-inline: auto;
  border-radius: 8px;
}

.menu-text {
  margin: 16px 4vw;
}

@media screen and (min-width: 769px) {
  .menu-text {
    margin: 16px 0;
  }
}

.menu-list h3 {
  --clamp-min: 17;
  --clamp-max: 20;
  font-family: var(--font);
  margin-bottom: 8px;
  line-height: 1.4;
  text-align: center;
}

@media screen and (min-width: 769px) {
  .menu-list h3 {
    text-align: left;
  }
}

p {}

.menu-group {
  position: relative;
  margin-inline: auto;
  width: auto;
  max-width: 70%;
}

@media screen and (min-width: 769px) {
  .menu-group {

    max-width: 325px;
  }
}

.menu-labels {
  position: absolute;
  bottom: 16px;
  left: 16px;
  display: flex;
  gap: 8px;
}

.menu-labels .label {
  --clamp-min: 12;
  --clamp-max: 14;
  background-color: rgba(var(--main-rgb), .9);
  color: #fff;
  font-weight: 400;
  font-family: var(--font);
  padding: 4px 16px;
  line-height: 1.3;
  border-radius: 32px;
}

/* アクセス */
.access {
  padding: var(--sec-padding) 0;
  background-color: var(--gray-50);
}

.access-wrap {
  display: grid;
  gap: 24px;
  margin-bottom: 24px;
}

@media (min-width: 769px) {
  .access-wrap {
    gap: 48px;
    grid-template-columns: 430px auto;
    margin-bottom: 48px;
  }
}

.access-info {}

.access-h3 {
  font-family: var(--font);
  line-height: 1.4;
  font-weight: 700;
  margin-bottom: 24px;
  text-align: center;
}

@media screen and (min-width: 769px) {
  .access-h3 {
    text-align: left;
  }
}

.access-h3 .sub {
  --clamp-min: 18;
  --clamp-max: 24;
}

.access-h3 .main {
  display: block;
  --clamp-min: 28;
  --clamp-max: 32;
}

.access-dl {
  display: grid;
  align-items: end;
  grid-template-columns: 5.5em auto;
  gap: 12px 8px;
}

@media (min-width: 769px) {
  .access-dl {
    grid-template-columns: 6.28em auto;
    gap: 12px 8px;
  }
}

.access-dl dt,
.access-dl dd {
  padding-bottom: 4px;
}

.access-dl dt {
  border-bottom: 1px solid;
  font-family: var(--font);
  font-weight: 500;
}

.access-dl dd {
  border-bottom: 1px solid rgba(var(--defcol-rgb), .3);
}

.access-map {}

.access .map {
  height: 100%;
  aspect-ratio: 3/2;
  border: 1px solid rgba(var(--defcol-rgb), .2);
  overflow: hidden;
}

@media screen and (min-width: 769px) {
  .access .map {
    aspect-ratio: auto;
    height: 100%;
  }
}

.calendar-h3 {
  --clamp-min: 20;
  --clamp-max: 24;
  font-family: var(--font);
  display: flex;
  align-items: center;
  gap: 10px;
  margin-bottom: 16px;
}

.calendar-h3:after {
  content: "";
  display: block;
  flex: 1;
  height: 1px;
  background-color: rgba(var(--main-rgb), .4);
}

.calendar-frame {
  aspect-ratio: 1/1;
}

.calendar-frame iframe {
  height: 100%;
}

@media screen and (min-width: 769px) {
  .calendar-frame {
    aspect-ratio: 800/600;
  }
}

.copyright {
  --clamp-min: 10;
  --clamp-max: 14;
  background-color: var(--defcol);
  color: #fff;
  text-align: center;
  font-family: var(--font);
  padding: 8px;
}


.header-spnav-area {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 9;
  height: 100%;
  width: 100%;
  visibility: hidden;
  padding: 16px 24px;
  background-color: rgba(255, 255, 255, 1);
  transition: 0.4s;
  opacity: 0;
  visibility: hidden;
  z-index: 1000;
}

.header-spnav-area.-active {
  left: 0;
  visibility: visible;
  opacity: 1;
}

.header-spnav-title {
  display: block;
  color: inherit;
  text-decoration: none;
  font-weight: normal;
  line-height: 1.4;
}

.header-spnav-title .ja {
  --clamp-min: 15;
  --clamp-max: 24;
  display: block;
  font-family: var(--font);
  font-weight: 500;
}

.header-spnav-title .en {
  --clamp-min: 32;
  --clamp-max: 60;
  display: block;
  font-family: var(--font-en);
  font-weight: 500;
  color: var(--main);
}

.global-spnav {
  margin-top: 32px;
}

.global-spnav ul {
  display: flex;
  flex-direction: column;
}

.global-spnav ul li {
  border-top: 1px solid rgba(var(--defcol-rgb), .6);
}

.global-spnav ul li:last-of-type {
  border-bottom: 1px solid rgba(var(--defcol-rgb), .6);
}

.global-spnav ul li a {
  --clamp-min: 16;
  --clamp-max: 24;
  display: block;
  text-decoration: none;
  padding: 16px;
  font-family: var(--font);
  text-align: center;
  color: var(--defcol);
}

/* ハンバーガー */
.hamburger {
  position: fixed;
  display: block;
  height: 60px;
  top: 8px;
  right: 8px;
  width: 55px;
  border: none;
  background-color: var(--main);
  cursor: pointer;
  z-index: 10000;
  border-radius: 4px;
}

@media screen and (min-width: 769px) {
  .hamburger {
    opacity: 0;
    visibility: hidden;
  }
}


.hamburger.-active .hamburger-line {
  background-color: transparent;
}

.hamburger.-active .hamburger-line::before {
  top: 0;
  transform: rotate(45deg);
}

.hamburger.-active .hamburger-line::after {
  top: 0;
  transform: rotate(-45deg);
}

/* .hamburger.-active .hamburger-text::before {
  content: '閉じる';
} */

.hamburger-line {
  display: block;
  height: 2px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%);
  width: 24px;
  background-color: #fff;
  transition: 0.4s;
}

.hamburger-line:before,
.hamburger-line:after {
  content: "";
  display: block;
  height: 100%;
  position: absolute;
  width: 100%;
  background-color: #fff;
  transition: inherit;
}

.hamburger-line:before {
  top: -8px;
}

.hamburger-line:after {
  top: 8px;
}

/* .hamburger-text {
  position: absolute;
  bottom: 8px;
  left: 50%;
  transform: translateX(-50%);
  width: 100%;
}

.hamburger-text::before {
  content: "メニュー";
  text-align: center;
  color: #fff;
  font-size: 10px;
  font-weight: 500;
} */